gnutls_x509_crq_get_spki(3)

NAME
gnutls_x509_crq_get_spki - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_spki(gnutls_x509_crq_t crq, gnutls_x509_spki_t spki, unsigned int flags);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

gnutls_x509_spki_t spki
    a SubjectPublicKeyInfo structure of type gnutls_x509_spki_t

unsigned int flags
    must be zero

DESCRIPTION
This function will return the public key information of a PKCS10 certificate request. The provided spki must be initialized.

RETURNS
Zero on success, or a negative error code on error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/